#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 primitive-extras
version:              0.10.2.2
visibility:           public
id:                   primitive-extras-0.10.2.2-PIVrSIx7GxG3pjgBtloEA
key:                  primitive-extras-0.10.2.2-PIVrSIx7GxG3pjgBtloEA
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/primitive-extras
synopsis:             Extras for the "primitive" library
description:
    Raw collection of extra utiltilies for the "primitive" library.

category:             Primitive
abi:                  7ba73197b9fb360d02dc922b2be06e53
exposed:              True
exposed-modules:
    PrimitiveExtras.Bitmap PrimitiveExtras.By6Bits
    PrimitiveExtras.PrimArray PrimitiveExtras.PrimMultiArray
    PrimitiveExtras.SmallArray PrimitiveExtras.UnliftedArray

hidden-modules:
    PrimitiveExtras.FoldMs PrimitiveExtras.Folds
    PrimitiveExtras.Prelude PrimitiveExtras.Types

import-dirs:          /usr/lib/ghc-9.4.8/site-local/primitive-extras-0.10.2.2
library-dirs:         /usr/lib/ghc-9.4.8/site-local/primitive-extras-0.10.2.2
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/primitive-extras-0.10.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-extras
hs-libraries:         HSprimitive-extras-0.10.2.2-PIVrSIx7GxG3pjgBtloEA
depends:
    base-4.17.2.1 bytestring-0.11.5.3
    cereal-0.5.8.3-H9MXf6i1TMkEAfnsx4oYbT
    deferred-folds-0.9.18.7-CgDdCd1IuVN7NMVAtfD0mt
    focus-1.0.3.2-3icsiO9cVXlI3ER1VZFJHf
    foldl-1.4.18-837wqFPaGZR79wp7zeXpPL
    list-t-1.0.5.5-KItJxutFk4WFX7WyoP0Vt2
    primitive-0.8.0.0-RoAiLvCruBL00EsvIFp5f
    primitive-unlifted-2.1.0.0-6FVDrSNw4LB5YywGXzDBmo
    profunctors-5.6.2-2HJkXKlrQqeIGAKueBx4y0
    vector-0.13.2.0-H3MTIE0bxkOEYwCD854O16

haddock-interfaces:
    /usr/share/doc/haskell-primitive-extras/html/primitive-extras.haddock

haddock-html:         /usr/share/doc/haskell-primitive-extras/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

